package org.gorkem;

import java.util.Arrays;

import javax.inject.Inject;

import org.jboss.forge.ui.Result;
import org.jboss.forge.ui.Results;
import org.jboss.forge.ui.UICommand;
import org.jboss.forge.ui.UICommandMetadata;
import org.jboss.forge.ui.UIContext;
import org.jboss.forge.ui.UIInput;
import org.jboss.forge.ui.UISelectMany;
import org.jboss.forge.ui.UIValidationContext;
import org.jboss.forge.ui.base.UICommandMetadataBase;

public class FunCommand implements UICommand {

	@Inject
	private UIInput<String> name;

	@Inject
	private UISelectMany<String> funThings;

	public UICommandMetadata getMetadata() {
		return new UICommandMetadataBase("Have some fun",
				"We are having fun right now");
	}

	public boolean isEnabled(UIContext context) {
		return true;
	}

	public void initializeUI(UIContext context) throws Exception {

		name.setLabel("Enter your name");
		funThings.setLabel("Choose your fate");
		funThings.setValueChoices(Arrays
				.asList("Beer", "Food", "Sex", "Flying"));

		context.getUIBuilder().add(name).add(funThings);
	}

	public void validate(UIValidationContext context) {

	}

	public Result execute(UIContext context) throws Exception {
		return Results.success(name.getValue());
	}

}
